import pygame,sys,os,pickle
from pygame.locals import *

os.environ["SDL_VIDEO_CENTERED"] = "1"
pygame.init()

screen = pygame.display.set_mode((500,300))

bg     = pygame.image.load(os.path.join("../graphics","settings.png")).convert()

class SetThis():
    def __init__(self):
        self.state = "RUN"
        self.mode  = None
        self.i     = None
        try:
            self.file = open("settings.txt")
            for line in self.file:
                line = line[1:-1].split(",")
                self.mode = int(line[0]),int(line[1])
                if self.mode == (1300,607): self.i = 1
                elif self.mode == (750, 350) : self.i = 2
                else:
                    self.mode = (1500,700); self.i = 0
                self.file.close()
                break
        except IOError:
            self.mode = (1500,700)
            self.i    = 0
        self.draw_state()
        
    def draw_state(self):
        screen.blit(bg,(0,0))
        pygame.draw.circle(screen, (255,255,255), (50,100+50*self.i), 10)
    
    def main(self):
        for click in pygame.event.get():
            if click.type == pygame.MOUSEBUTTONDOWN:
                hit = pygame.mouse.get_pressed()
                if hit[0]:
                    target = pygame.mouse.get_pos()

                    #select desired display mode
                    if 25 < target[0] < 450 and 75 < target[1] < 125:
                        self.mode = (1500,700); self.i = 0
                        self.draw_state()
                    elif 25 < target[0] < 450 and 125 < target[1] < 175:
                        self.mode = (1300,607); self.i = 1
                        self.draw_state()
                    elif 25 < target[0] < 450 and 175 < target[1] < 225:
                        self.mode = (750,350); self.i = 2
                        self.draw_state()

                    #OK button saves the current setting
                    elif 100 < target[0] < 300 and 255 < target[1] < 290:
                        self.file = open("settings.txt",'w')
                        self.file.write(str(self.mode))
                        self.file.close()
                        self.state = "QUIT"
                    #cancel button closes program without saving
                    elif 300 < target[0] < 400 and 255 < target[1] < 290:
                        self.state = "QUIT"
            elif click.type == pygame.QUIT:
                self.state = "QUIT"
            
        

####
if __name__ == "__main__":
    mySet = SetThis()
    while mySet.state != "QUIT":
        mySet.main()
        pygame.display.update()
    pygame.quit();sys.exit()
